Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.util
Interface Poolable

All Known Implementing Classes:
  DBFilerConnection

public interface Poolable

Poolable is an interface that must be implemented by Objects that are capable of being managed in a pooled fashion by dbXML.

See Also:
  `ObjectPool`

Method Summary
`void` | `reclaim()` reclaim prompts the Poolable object to return itself to the ObjectPool.
`void` | `setPool(ObjectPool pool)` setPool passes a reference to the originating ObjectPool for this Object.

Method Detail

### setPool

    public void setPool(ObjectPool pool)

  setPool passes a reference to the originating ObjectPool for this Object. This will allow the Poolable Object to call back to the ObjectPool in order to be reclaimed.

  Parameters:
    `pool` - The parent ObjectPool

### reclaim

    public void reclaim()

  reclaim prompts the Poolable object to return itself to the ObjectPool. A Poolable implementation should perform any necessary cleanup before calling pool.putObject to return itself to the ObjectPool.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group